class VehicleProxy implements Vehicle{
    private Vehicle vehicleReal;

    @Override
    public void move() {
        if(vehicleReal == null){
            System.out.println("VehicleProxy, podłączono do rzeczywistego pojazdu");
            vehicleReal = new VehicleReal();
        }
        vehicleReal.move();
    }
}
